Package org.pushingpixels.substance.api.painter.decoration

# Class MatteDecorationPainter

java.lang.Object
org.pushingpixels.substance.api.painter.decoration.MatteDecorationPainter

All Implemented Interfaces:
  `SubstanceDecorationPainter`, `SubstanceTrait`

public class MatteDecorationPainter extends Object implements SubstanceDecorationPainter
Implementation of `SubstanceDecorationPainter` that uses matte painting on decoration areas.

Since:
  version 4.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DISPLAY_NAME`
The display name for the decoration painters of this class.

## Constructor Summary

Constructors
Constructor
Description
`MatteDecorationPainter()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`fill(Graphics2D graphics, Component comp, SubstanceColorScheme scheme, int offsetY, int x, int y, int width, int height)`
Fills the relevant part with the gradient fill.
`String`
`getDisplayName()`
Returns the display name of `this` trait.
`void`
`paintDecorationArea(Graphics2D graphics, Component comp, DecorationAreaType decorationAreaType, int width, int height, SubstanceSkin skin)`
Paints the decoration area.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DISPLAY_NAME

public static final String DISPLAY_NAME
The display name for the decoration painters of this class.

See Also:
  - Constant Field Values

## Constructor Details

### MatteDecorationPainter

public MatteDecorationPainter()

## Method Details

### getDisplayName

public String getDisplayName()
Description copied from interface: `SubstanceTrait`
Returns the display name of `this` trait. This method is part of officially supported API.

Specified by:
  `getDisplayName` in interface `SubstanceTrait`
Returns:
  The display name of `this` trait.

### paintDecorationArea

public void paintDecorationArea(Graphics2D graphics, Component comp, DecorationAreaType decorationAreaType, int width, int height, SubstanceSkin skin)
Description copied from interface: `SubstanceDecorationPainter`
Paints the decoration area.

Specified by:
  `paintDecorationArea` in interface `SubstanceDecorationPainter`
Parameters:
  `graphics` - Graphics context.
  `comp` - Component.
  `decorationAreaType` - Decoration area type. Must not be `null`.
  `width` - Width.
  `height` - Height.
  `skin` - Skin for painting the decoration area.

### fill

protected void fill(Graphics2D graphics, Component comp, SubstanceColorScheme scheme, int offsetY, int x, int y, int width, int height)
Fills the relevant part with the gradient fill.

Parameters:
  `graphics` - Graphics.
  `comp` - Component.
  `scheme` - Color scheme to use.
  `offsetY` - Vertical offset.
  `x` - X coordinate of the fill area.
  `y` - Y coordinate of the fill area.
  `width` - Fill area width.
  `height` - Fill area height.